> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Flex Access



## OpenAPI

````yaml get /api/v2/employees/{employeeId}/flex/access
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/employees/{employeeId}/flex/access:
    get:
      operationId: ApiV2EmployeeFlexController_getFlexAccessDetails
      parameters:
        - name: employeeId
          required: true
          in: path
          schema:
            type: string
        - name: referenceDate
          required: false
          in: query
          description: Date in "yyyy-MM-dd" format
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FlexSettingsOutputDto'
      security:
        - bearer: []
components:
  schemas:
    FlexSettingsOutputDto:
      type: object
      properties:
        id:
          type: string
          description: The unique primary key (UUID) of the entity.
        dateCreated:
          format: date-time
          type: string
        dateModified:
          format: date-time
          type: string
        dateDeleted:
          format: date-time
          type: string
          nullable: true
        employeeId:
          type: string
        budget:
          $ref: '#/components/schemas/MonetaryAmount'
        allowedModules:
          type: array
          items:
            type: string
            enum:
              - MEALS
              - HEALTH
              - INTERNET
              - HOLIDAY
              - KITA
              - MOBILITY
              - SPORTS
        accumulateBudget:
          type: boolean
          default: false
        flexTaxRuleTemplateId:
          type: string
          default: default
          nullable: true
        validFrom:
          format: date-time
          type: string
        validFromYearMonth:
          type: string
          description: yyyy-MM
        validUntil:
          format: date-time
          type: string
          nullable: true
        validUntilYearMonth:
          type: string
          nullable: true
          description: yyyy-MM
      required:
        - id
        - dateCreated
        - dateModified
        - employeeId
        - budget
        - allowedModules
        - accumulateBudget
        - validFrom
        - validFromYearMonth
    MonetaryAmount:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````